com.intellectualcrafters.plot.config

## Class Configuration

- java.lang.Object
- - com.intellectualcrafters.plot.config.Configuration

-     public class Configuration
      extends java.lang.Object

  Main Configuration Utility

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Configuration.SettingValue` Create your own SettingValue object to make the management of plotworld configuration easier

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Configuration.SettingValue` | `BIOME`
    `static Configuration.SettingValue` | `BLOCK`
    `static Configuration.SettingValue` | `BLOCKLIST`
    `static Configuration.SettingValue` | `BOOLEAN`
    `static Configuration.SettingValue` | `DOUBLE`
    `static Configuration.SettingValue` | `INTEGER`
    `static Configuration.SettingValue` | `STRING`
    `static Configuration.SettingValue` | `STRINGLIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `gcd(int a, int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final Configuration.SettingValue STRING

    - #### STRINGLIST

          public static final Configuration.SettingValue STRINGLIST

    - #### INTEGER

          public static final Configuration.SettingValue INTEGER

    - #### BOOLEAN

          public static final Configuration.SettingValue BOOLEAN

    - #### DOUBLE

          public static final Configuration.SettingValue DOUBLE

    - #### BIOME

          public static final Configuration.SettingValue BIOME

    - #### BLOCK

          public static final Configuration.SettingValue BLOCK

    - #### BLOCKLIST

          public static final Configuration.SettingValue BLOCKLIST

  - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### gcd

          public static int gcd(int a,
                int b)